Skip to main content
POST
Add Delete Excluded Entitlements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

access_review_id
string
required

The ID of the user-first access review campaign to configure.

Body

application/json

Incrementally adds and/or removes excluded entitlements for a user-first campaign without replacing the entire set (contrast AccessReviewSetCampaignScopeAndExcludedEntitlementsRequest).

toAdd
Access Review Excluded Entitlement Input · object[] | null

The entitlements to add to the campaign's excluded set.

toDelete
Access Review Excluded Entitlement Input · object[] | null

The entitlements to remove from the campaign's excluded set.

Response

200 - application/json

AccessReviewAddDeleteExcludedEntitlementsResponse is empty. Read the current exclusions with GetCampaignScopeAndEntitlements.

AccessReviewAddDeleteExcludedEntitlementsResponse is empty. Read the current exclusions with GetCampaignScopeAndEntitlements.